> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cardholders



## OpenAPI

````yaml GET /cards/getCardholders
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards/getCardholders:
    get:
      tags:
        - Cardholders
      summary: List cardholders
      operationId: listCardholders
      parameters:
        - name: email
          in: query
          required: false
          description: Email
          schema:
            type: string
        - name: first_name
          in: query
          required: false
          description: First name
          schema:
            type: string
        - name: last_name
          in: query
          required: false
          description: Last name
          schema:
            type: string
        - name: status
          in: query
          required: false
          description: >-
            Status. 'Active': activated, 'Pending': processing, 'Inactive':
            rejected
          schema:
            type: string
        - name: cardholder_id
          in: query
          required: false
          description: Search by cardholder ID
          schema:
            type: string
            example: '20260424154429003719452086'
        - name: business_mode
          in: query
          required: false
          description: Business model
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page number
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Page size
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                      per_page:
                        type: integer
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            uid:
                              type: integer
                            email:
                              type: string
                            status:
                              type: string
                            first_name:
                              type: string
                            last_name:
                              type: string
                            nickname:
                              type: string
                            created_at:
                              type: string
                            updated_at:
                              type: string
                            phone_country_code:
                              type: string
                            phone_number:
                              type: string
                            remark:
                              type: string
                          required:
                            - id
                            - uid
                            - email
                            - status
                            - first_name
                            - last_name
                            - nickname
                            - created_at
                            - updated_at
                            - phone_country_code
                            - phone_number
                            - remark
                      has_more:
                        type: boolean
                    required:
                      - total
                      - per_page
                      - current_page
                      - last_page
                      - data
                      - has_more
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  total: 10
                  per_page: 20
                  current_page: 1
                  last_page: 1
                  data:
                    - id: 1f076a4a-70ce-634c-96a8-0242ac110002
                      uid: 16
                      email: 46552391@gmail.com
                      status: Active
                      first_name: PPP
                      last_name: OOO
                      nickname: yiyi
                      created_at: '2025-08-11 19:16:39'
                      updated_at: '2025-08-11 19:16:41'
                      phone_country_code: '86'
                      phone_number: '18696941121'
                      remark: ''
                    - id: 1f076a3c-faad-6e9a-a460-0242ac110002
                      uid: 16
                      email: 46552386@gmail.com
                      status: Pending
                      first_name: PPPP
                      last_name: OOO
                      nickname: yiyi
                      created_at: '2025-08-11 17:20:12'
                      updated_at: '2025-08-11 11:11:47'
                      phone_country_code: '86'
                      phone_number: '18696941115'
                      remark: ''
                    - id: 1f076a3c-faad-6e4a-8c80-0242ac110002
                      uid: 16
                      email: 46552385@gmail.com
                      status: Pending
                      first_name: PPPP
                      last_name: OOO
                      nickname: yiyi
                      created_at: '2025-08-11 16:40:06'
                      updated_at: '2025-08-11 11:11:47'
                      phone_country_code: '86'
                      phone_number: '18696941114'
                      remark: ''
                    - id: 1f076a3c-faad-6dbe-abb5-0242ac110002
                      uid: 16
                      email: 46552384@gmail.com
                      status: Pending
                      first_name: PPPP
                      last_name: OOO
                      nickname: yiyi
                      created_at: '2025-08-11 16:39:01'
                      updated_at: '2025-08-11 11:11:47'
                      phone_country_code: '86'
                      phone_number: '18696941113'
                      remark: ''
                    - id: 1f076a3c-faad-6f4e-8cca-0242ac110002
                      uid: 16
                      email: 46552383@gmail.com
                      status: Active
                      first_name: PPPP
                      last_name: OOO
                      nickname: yiyi
                      created_at: '2025-08-11 16:37:21'
                      updated_at: '2025-08-11 11:11:43'
                      phone_country_code: '86'
                      phone_number: '18696941112'
                      remark: ''
                    - id: 1f076a3c-faad-6ca6-84e1-0242ac110002
                      uid: 16
                      email: 46551@qq.com
                      status: Pending
                      first_name: ZHEN
                      last_name: CHENQQ
                      nickname: yiyi
                      created_at: '2025-08-08 12:00:42'
                      updated_at: '2025-08-11 11:11:47'
                      phone_country_code: '86'
                      phone_number: '18696943688'
                      remark: ''
                    - id: 1f076a3c-faad-6bb6-b862-0242ac110002
                      uid: 16
                      email: 534534@gmail.com
                      status: Pending
                      first_name: TRRRT
                      last_name: TYTYT
                      nickname: yiyi
                      created_at: '2025-08-07 12:30:30'
                      updated_at: '2025-08-11 11:11:47'
                      phone_country_code: '1'
                      phone_number: '9419120246'
                      remark: ''
                    - id: 1f076a3c-faad-6f12-b0e1-0242ac110002
                      uid: 16
                      email: 46552@qq.com
                      status: Active
                      first_name: OUIU
                      last_name: UIUY
                      nickname: yiyi
                      created_at: '2025-08-07 12:23:00'
                      updated_at: '2025-08-11 11:11:39'
                      phone_country_code: '86'
                      phone_number: '18696943639'
                      remark: ''
                    - id: 1f076a3c-faad-6ee0-a1ac-0242ac110002
                      uid: 16
                      email: 465523@qq.com
                      status: Inactive
                      first_name: YRTYRT
                      last_name: RRR
                      nickname: yiyi
                      created_at: '2025-08-07 12:21:57'
                      updated_at: '2025-08-11 11:20:44'
                      phone_country_code: '86'
                      phone_number: '18696943633'
                      remark: Reason it was incorrect
                    - id: 1f076a3c-faa6-6c9e-995c-0242ac110002
                      uid: 16
                      email: 46552@qq.com
                      status: Pending
                      first_name: CHEN
                      last_name: MAMA
                      nickname: yiyi
                      created_at: '2025-08-02 00:19:33'
                      updated_at: '2025-08-11 11:11:47'
                      phone_country_code: '86'
                      phone_number: '18696943333'
                      remark: ''
                  has_more: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````